Bug 78927 - lockdev segfaults with invalid command line arguments
lockdev segfaults with invalid command line arguments
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: lockdev (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-03 12:31 EST by Chris Ricker
Modified: 2007-04-18 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-03 12:31:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-12-03 12:31:50 EST
lockdev segfaults with incomplete command-line arguments

[kaboom@verdande kaboom]$ /usr/sbin/lockdev -l
Segmentation fault
[kaboom@verdande kaboom]$ /usr/sbin/lockdev -u
Segmentation fault
[kaboom@verdande kaboom]$ ls -l /usr/sbin/lockdev 
-rwxr-sr-x    1 root     lock        12325 Jun 23 14:26 /usr/sbin/lockdev
[kaboom@verdande kaboom]$ 

Given that lockdev is sgid, this lack of input validity sanity checking could
potentially be used for an escalation of privilege attack (though it didn't
actually look exploitable the little bit I looked at it)
Comment 1 Mark J. Cox (Product Security) 2002-12-04 05:49:21 EST
Thanks for reporting this.  It's a known problem, fixed in lockdev-1.0.0-21.  We
don't see that this bug can be exploited, as there is no input to the program
other than the device name which, if missing, segfaults.

Note You need to log in before you can comment on or make changes to this bug.